declare class Clipboard {
    private copyPasters;
    private waitFn?;
    isCopyPasteEvent(e: Event): void;
    private isCopyPaster;
    initCopyPaster(el: HTMLTextAreaElement): () => void;
    injectCopyPaster(document: Document): (() => void) | undefined;
    setData(data: any): Promise<void>;
    waitPasteData(keyboardEvent: KeyboardEvent, cb: (data: any, e: ClipboardEvent) => void): void;
}
export declare const clipboard: Clipboard;
export {};
